QGIS Application - Bug report #1056
Transparent Zoom box goes funny if cursor not in top left 100,100 pixels
2008-05-04 10:52 PM - hamish -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11116
Description

Hi,

| just installed 0.10.0 binaries on Mac 10.4.11 (T's all-in-one) and Windows XP (Marco's), | see a similar rendering problem on both using
the zoom tools. It is especially apparent on the Mac.

Purely cosmetic while you are setting a new zoom level, everything is fine upon map redraw.

Load a shapefile, click the zoom-in button, set your first mark then as you drag for the second corner you should see a semi-transparent
filled + outlined box following the mouse. If the mouse is not in the top 100x100 (or so) pixels from the top left of the map canvas the
semi-transparent part of the box is broken.

On Mac it makes the box a solid+opaque grey, with anything that the box passed over erased to white until you release the mouse button.
If you drag the 2nd corner of the box into the top left you correctly see the semi-transparent map underneath, but it goes back to grey once
you move away from there.

On the PC the zoom box leaves a stuttered trail of its outline behind, unless again you are in the top left 100x100 (or so) pixels of the map
frame.

?

Hamish

ps- milestone and version trac fields need a 0.10 option.

History

#1 - 2009-07-11 03:22 AM - Giovanni Manghi

Is this still true? | cannot replicate it (if | understand the problem) with qgis 1.2 from trunk under Ubuntu 9.04 and Win XP.

Please try a more recent version and report back.

#2 - 2009-07-15 04:48 AM - simonb -
- Resolution set to worksforme

- Status changed from Open to Closed

Testing with OS X 10.5.7 and Qgis 1.1.0-Pan (Unstable) installed from http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg.
http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg

Works for me - no odd artifacts when click-drag creating a zoom box.
